Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPPolyDataWriter Class Reference

`#include <vtkXMLPPolyDataWriter.h>`

Inheritance diagram for vtkXMLPPolyDataWriter:

[legend]
Collaboration diagram for vtkXMLPPolyDataWriter:

[legend]
List of all members.

## Detailed Description

Write PVTK XML PolyData files.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPPolyDataWriter writes the PVTK XML PolyData file format. One poly data input can be written into a parallel file format with any number of pieces spread across files. The standard extension for this writer's file format is "pvtp". This writer uses vtkXMLPolyDataWriter to write the individual piece files.

See also:
  vtkXMLPolyDataWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPPolyDataWriter.h)`
  - .`cxx` (`/IO/vtkXMLPPolyDataWriter.cxx)`

Definition at line 49 of file vtkXMLPPolyDataWriter.h.

## Public Types
typedef vtkXMLPUnstructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkPolyData *input)
vtkPolyData * | GetInput ()
## Static Public Methods
vtkXMLPPolyDataWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLPPolyDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPPolyDataWriter ()
| ~vtkXMLPPolyDataWriter ()
const char * | GetDataSetName ()
vtkXMLUnstructuredDataWriter * | CreateUnstructuredPieceWriter ()

## Member Typedef Documentation

typedef vtkXMLPUnstructuredDataWriter vtkXMLPPolyDataWriter::Superclass

| Reimplemented from vtkXMLPUnstructuredDataWriter. Definition at line 53 of file vtkXMLPPolyDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLPPolyDataWriter::vtkXMLPPolyDataWriter | ( |  | ) | `[protected]`

vtkXMLPPolyDataWriter::~vtkXMLPPolyDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLPPolyDataWriter* vtkXMLPPolyDataWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLPPolyDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPUnstructuredDataWriter.

int vtkXMLPPolyDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPUnstructuredDataWriter.

virtual int vtkXMLPPolyDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPUnstructuredDataWriter.

vtkXMLPPolyDataWriter* vtkXMLPPolyDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPUnstructuredDataWriter.

void vtkXMLPPolyDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPUnstructuredDataWriter.

void vtkXMLPPolyDataWriter::SetInput | ( | vtkPolyData * | input | ) |

| Get/Set the writer's input.

vtkPolyData* vtkXMLPPolyDataWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLPPolyDataWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

const char* vtkXMLPPolyDataWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

vtkXMLUnstructuredDataWriter* vtkXMLPPolyDataWriter::CreateUnstructuredPieceWriter | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPUnstructuredDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLPPolyDataWriter.h